コンテンツへスキップ

Subscriptions API (2.0)

概要

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

このAPIリファレンスでは、サブスクリプション、クーポン、およびプロモーションを管理するためのエンドポイントについて説明します。 サブスクリプションの詳細については、製品ガイドおよび用語集を参照してください。

OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/subscriptions/
操作
操作
操作

サブスクリプション

操作
操作

プロモーション

操作
操作

サブスクリプション

操作
操作
操作

リクエスト

セキュリティ
projectUserJwtAuth
パス
project_idinteger\d+必須
ボディapplication/json必須

Redeem a coupon by its code

codestring

Coupon code

デフォルト null
例: "abcde"
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/projects/{project_id}/redeem_coupon' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "code": "abcde"
  }'

レスポンス

The coupon has been successfully redeemed

ボディapplication/json
レスポンス
application/json
{ "status": "successful" }

サブスクリプション

操作
操作